## snaxdart_models

## Description 

Library which contains all versions of models used in mobile wallet.

## Types

### V1

|        Name       |       Fields          |
|:------------------|:----------------------|
| **AppState**      | ***Wallet*** wallet <br> ***Accounts*** accounts <br> ***Global*** global <br> ***WalletTransactions*** transactions <br> ***SignUp*** signUp <br> ***Transfer*** transfer |
| **Wallet**        | ***String*** publicKey <br> ***WalletAccount*** account <br> ***bool*** logged |
| **Accounts**      | ***List\<WalletAccount>*** data <br> ***bool*** loading <br> ***SnaxError*** error |
| **Global**        | ***bool*** walletWasCreated <br> ***bool*** walletWasImported <br> ***bool*** hasBackedUpWallet <br> ***bool*** hasRunBefore <br> ***bool*** loading <br> ***ApplicationRoute*** lastRoute <br> ***bool*** trustFall <br> ***bool*** trustFallWarningShowed <br> ***NetworkState*** networkState <br> ***String*** version 
| **WalletAccount** | ***Account*** snax <br> ***TwitterAccount*** twitter <br> ***SteemAccount*** steem |
| **TwitterAccount**| ***String*** id <br> ***String*** displayName |
| **SteemAccount**  | ***String*** id <br> ***String*** displayName |
| **SignUp**        | ***bool*** loading <br> ***SnaxError*** error <br> ***String*** snaxAccount <br> ***WalletAccount*** account <br> ***Platform*** platform <br> ***String*** hash <br> ***String*** bindingSalt <br> ***bool*** confirmed <br> ***String*** postId |
| **Transaction**   | ***TransactionSource*** source <br> ***TransactionType*** type <br> ***String*** blockTime <br> ***int*** blockNumber <br> ***String*** from <br> ***String*** to <br> ***String*** quantity <br> ***String*** memo <br> ***int*** globalSequence <br> ***String*** trxId |
| **Transactions**  | ***List\<WalletTransaction>*** data <br> ***List\<IncompleteWalletTransaction>*** incomplete <br> ***bool*** hasMore <br> ***bool*** loading <br> ***SnaxError*** error <br> |
| **Transfer**      | ***WalletTransaction*** data <br> ***bool*** loading <br> ***SnaxError*** error <br> ***String*** recipient <br> ***TransactionSource*** platform <br> ***String*** memo <br> ***String*** quantity |



